Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1598686 - mariadb-connector-c for EPEL7
Summary: mariadb-connector-c for EPEL7
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mariadb
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-06 08:10 UTC by Andy Li
Modified: 2018-07-20 03:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-20 03:40:45 UTC


Attachments (Terms of Use)

Description Andy Li 2018-07-06 08:10:45 UTC
I would like to build nekovm for epel7, but nekovm depends on mariadb-connector-c-devel, which is not available in epel7.

Would you provide a mariadb-connector-c package for epel7?

Comment 1 Michal Schorm 2018-07-12 12:24:43 UTC
Please, use 'mariadb-devel' as a buildrequires for epel7.
There shouldn't be an issue with building against mariadb-devel where prossible.
If you encounter one, come back and we'll try to find some solution here.

I don't think introducing mariadb-connector-c into EPEL would be a good idea. Considering the amount of work that has to be done in base Fedora itself and the fact it has to conflict with RHEL packages, makes it nearly no-go from my POV.

Comment 2 Andy Li 2018-07-20 03:40:45 UTC
I've just verified that nekovm can indeed be built with mariadb-devel. Thanks!


Note You need to log in before you can comment on or make changes to this bug.